function populateDB(tx) {
	tx.executeSql('DROP TABLE IF EXISTS DEMO');
	tx.executeSql('CREATE TABLE IF NOT EXISTS DEMO (id unique, data)');
	tx.executeSql('INSERT INTO DEMO (id, data) VALUES (1, "Premier enregistrement")');
	tx.executeSql('INSERT INTO DEMO (id, data) VALUES (2, "Seconde enregistrement")');
}


function queryDB(tx) {
	tx.executeSql('SELECT * FROM DEMO', [], querySuccess, errorCB);
}


function querySuccess(tx, results) {
	var len = results.rows.length;
	console.log("Table DEMO : " + len + " enregistrements trouvés.");
	for (var i=0; i<len; i++){
		console.log("Enregistrement = " + i + " ID = " + results.rows.item(i).id + " Données =  " + results.rows.item(i).data);
	}
}


function errorCB(tx, err) {
	console.log("Erreur de traitement SQL : "+err.code);
}


function successCB() {
	var db = window.openDatabase("Database", "1.0", "PhoneGap Demo", 200000);
	db.transaction(queryDB, errorCB);
}


function InitSQL() {
	var db = window.openDatabase("Database", "1.0", "PhoneGap Demo", 200000);
	db.transaction(populateDB, errorCB, successCB);
}